-- **********************************************************
-- Drop_OCM_Tables.SQL
-- SQL Statements to drop the tables created by OCM in .
-- (C) Copyright IBM Corp. 2008, 2014
-- **********************************************************



ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT MGR_OPTIM_DIRECTORY_FK;

ALTER TABLE OPTIM_ACL DROP CONSTRAINT PK_MANAGER_ACL;

ALTER TABLE OPTIM_AUDIT_RECORDS DROP CONSTRAINT AUDIT_RECORDS_PK;


ALTER TABLE OPTIM_CONFIG_CONTENT DROP CONSTRAINT CONFIG_CONTENTS_PK;


ALTER TABLE OPTIM_DATA_STORES DROP CONSTRAINT DATA_STORES_PK;


ALTER TABLE OPTIM_DEFINITION_CONTENT DROP CONSTRAINT DEFINITION_CONTENTS_PK;


ALTER TABLE OPTIM_DIRECTORY_PROPERTIES DROP CONSTRAINT DIRECTORY_PROP_PK;


ALTER TABLE OPTIM_GLOBAL_POLICIES DROP CONSTRAINT GLOBAL_POLICIES_PK;


ALTER TABLE OPTIM_GLOBAL_POLICYMAP DROP CONSTRAINT PK_GLOBAL_POLICYMAP;



ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT PK_PREFERENCES;



ALTER TABLE OPTIM_JDBC_DRIVERS DROP CONSTRAINT JDBC_DRIVERS_PK;



ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT OPTIM_MANAGER_OCM_PK;

ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT UQ_OCM_HOST_PORT;

ALTER TABLE OPTIM_MGR_CONFIGURATION DROP CONSTRAINT PK_MANAGER_CONFIGURATION;

ALTER TABLE OPTIM_MGR_CONFIGURATION DROP CONSTRAINT UQ_MANAGER_CONFIGURATION_ENV;


ALTER TABLE OPTIM_POLICY_DIRECTORY_MAP DROP CONSTRAINT PK_POLICY_DIRECTORY_MAP;


ALTER TABLE OPTIM_POLICY_SERVER_MAP DROP CONSTRAINT PK_POLICY_SERVER_MAP;


ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT SERVER_REGISTRATION_PK;

ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT UNIQUE_NAME_URL;


ALTER TABLE OPTIM_TRANSACTION_CONTENT DROP CONSTRAINT TRANSACTION_CONTENTS_PK;

ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT MGR_OPTIM_DIRECTORY_PK;



ALTER TABLE OPTIM_USER_PREFERENCES DROP CONSTRAINT PK_USER_PREFERENCES_ID;

ALTER TABLE OPTIM_USER_PREFERENCES DROP CONSTRAINT UQ_USER_PREFERENCES;

ALTER TABLE OPTIM_USER_REGISTRY DROP CONSTRAINT UNIQUE_REGISTRY_ID;
ALTER TABLE OPTIM_USER_REGISTRY DROP CONSTRAINT USER_REGISTRY_PK;



DROP INDEX IDX_GLBL_PLCIS_POLICY_ID_NAME;

DROP TABLE OPTIM_ACL;
DROP TABLE OPTIM_AUDIT_RECORDS;
DROP TABLE OPTIM_CONFIG_CONTENT;
DROP TABLE OPTIM_DATA_STORES;
DROP TABLE OPTIM_DEFINITION_CONTENT;
DROP TABLE OPTIM_DIRECTORY_PROPERTIES;
DROP TABLE OPTIM_GLOBAL_POLICIES;
DROP TABLE OPTIM_GLOBAL_POLICYMAP;
DROP TABLE OPTIM_GLOBAL_PREFERENCES;
DROP TABLE OPTIM_JDBC_DRIVERS;
DROP TABLE OPTIM_MANAGER_OCM;
DROP TABLE OPTIM_MGR_CONFIGURATION;
DROP TABLE OPTIM_POLICY_DIRECTORY_MAP;
DROP TABLE OPTIM_POLICY_SERVER_MAP;
DROP TABLE OPTIM_SERVER_REGISTRATION;
DROP TABLE OPTIM_TRANSACTION_CONTENT;
DROP TABLE OPTIM_USER_DIRECTORY;
DROP TABLE OPTIM_USER_PREFERENCES;
DROP TABLE OPTIM_USER_REGISTRY;

